package com.ruoyi.project.ehs.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.ehs.mapper.TEyewasherMapper;
import com.ruoyi.project.ehs.domain.TEyewasher;
import com.ruoyi.project.ehs.service.ITEyewasherService;

import javax.annotation.Resource;

/**
 * 洗眼器Service业务层处理
 *
 * @author ruoyi
 * @date 2020-11-24
 */
@Service
public class TEyewasherServiceImpl implements ITEyewasherService
{
    @Resource
    private TEyewasherMapper tEyewasherMapper;

    /**
     * 查询洗眼器
     *
     * @param id 洗眼器ID
     * @return 洗眼器
     */
    @Override
    public TEyewasher selectTEyewasherById(Long id)
    {
        return tEyewasherMapper.selectTEyewasherById(id);
    }

    /**
     * 查询洗眼器列表
     *
     * @param tEyewasher 洗眼器
     * @return 洗眼器
     */
    @Override
    public List<TEyewasher> selectTEyewasherList(TEyewasher tEyewasher)
    {
        return tEyewasherMapper.selectTEyewasherList(tEyewasher);
    }

    /**
     * 定时任务查询洗眼器列表
     *
     * @param tEyewasher 洗眼器
     * @return 洗眼器集合
     */
    @Override
    public List<TEyewasher> selectList(TEyewasher tEyewasher) {
        return tEyewasherMapper.selectList(tEyewasher);
    }

    /**
     * 新增洗眼器
     *
     * @param tEyewasher 洗眼器
     * @return 结果
     */
    @Override
    public int insertTEyewasher(TEyewasher tEyewasher)
    {
        return tEyewasherMapper.insertTEyewasher(tEyewasher);
    }

    /**
     * 修改洗眼器
     *
     * @param tEyewasher 洗眼器
     * @return 结果
     */
    @Override
    public int updateTEyewasher(TEyewasher tEyewasher)
    {
        return tEyewasherMapper.updateTEyewasher(tEyewasher);
    }

    /**
     * 批量删除洗眼器
     *
     * @param ids 需要删除的洗眼器ID
     * @return 结果
     */
    @Override
    public int deleteTEyewasherByIds(Long[] ids)
    {
        return tEyewasherMapper.deleteTEyewasherByIds(ids);
    }

    /**
     * 删除洗眼器信息
     *
     * @param id 洗眼器ID
     * @return 结果
     */
    @Override
    public int deleteTEyewasherById(Long id)
    {
        return tEyewasherMapper.deleteTEyewasherById(id);
    }
}
